/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_SERVER_PRIVATE_H_
#define _XIG_SERVER_PRIVATE_H_

#include <glib-object.h>
#include <gio/gio.h>

#include "xig/xig-server.h"
#include "xig/xig-drawable.h"

guint32 _xig_server_get_drawable_id (XigServer *server);

void _xig_server_add_window (XigServer *server, XigWindow *window);

void _xig_server_set_selection_owner (XigServer *server, const gchar *name, XigWindow *window);

void _xig_server_add_pixmap (XigServer *server, XigPixmap *pixmap);

void _xig_server_remove_pixmap (XigServer *server, XigPixmap *pixmap);

#endif /* _XIG_SERVER_PRIVATE_H_ */
