/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_WINDOW_PRIVATE_H_
#define _XIG_WINDOW_PRIVATE_H_

#include "xig/xig-window.h"
#include "xig/xig-server.h"
#include "xig/xig-remote-client.h"

XigWindow *_xig_window_new (XigServer *server, XigRemoteClient *client, guint32 wid, XigWindow *parent, XigWindowClassType class, gint16 x, gint16 y, guint16 width, guint16 height, guint16 border_width, XigVisual *visual);

#endif /* _XIG_WINDOW_PRIVATE_H_ */
