/*
 * Copyright (C) 2011 Canonical Ltd.
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License version 3 as published by
 * the Free Software Foundation. See http://www.gnu.org/copyleft/lgpl.html the
 * full text of the license.
 */

#ifndef _XIG_REMOTE_CLIENT_PRIVATE_H_
#define _XIG_REMOTE_CLIENT_PRIVATE_H_

#include <glib-object.h>
#include <gio/gio.h>

#include "xig/xig-server.h"

XigRemoteClient *_xig_remote_client_new (XigServer *server, GSocket *socket);

void _xig_remote_client_map_request (XigRemoteClient *client, XigWindow *window);

void _xig_remote_client_configure_request (XigRemoteClient *client, XigWindow *window, gint16 x, gint16 y, guint16 width, guint16 height, guint16 border_width, XigWindow *sibling, XigWindowStackMode stack_mode, XigConfigureWindowValueMask value_mask);

void _xig_remote_client_circulate_request (XigRemoteClient *client, XigWindow *window, XigCirculatePlace place);

#endif /* _XIG_REMOTE_CLIENT_PRIVATE_H_ */
